Bug 3420 - /etc/rc.d/init.d/nfs restart doesn't work
Summary: /etc/rc.d/init.d/nfs restart doesn't work
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: knfsd (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-12 18:14 UTC by omega
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-13 01:33:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description omega 1999-06-12 18:14:06 UTC
The restart portion of the nfs rc script doesn't work, since
it tries to restart by HUPing all the daemons.  On all my
machines doing so will completely kill mountd, quotad, and
statd.  The correct way to deal with this is for the restart
code to look like:

$0 stop
$0 start

Comment 1 Jeff Johnson 1999-06-13 01:33:59 UTC
Fixed (as suggested) in knfsd-1.3.3b-2. Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.